Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Exception.h File Reference

`#include "ace/pre.h"`
`#include "tao/corbafwd.h"`
`#include "ace/SString.h"`
`#include "ace/post.h"`

Include dependency graph for Exception.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | CORBA_Exception
| CORBA_Exception. More...
class | CORBA_SystemException
| CORBA_SystemException. More...
class | CORBA_UserException
| User exceptions are those defined by application developers using OMG-IDL. More...
class | TAO_Exceptions
| This class is a namespace for exception-related static data and methods. More...
## Defines
#define | TAO_RAISE(EXCEPTION) throw EXCEPTION
#define | TAO_SYSTEM_EXCEPTION(name)
## Functions
TAO_Export ostream & | operator<< (ostream &os, const CORBA_Exception &e)
| TAO_SYSTEM_EXCEPTION (UNKNOWN)
| TAO_SYSTEM_EXCEPTION (BAD_PARAM)
| TAO_SYSTEM_EXCEPTION (NO_MEMORY)
| TAO_SYSTEM_EXCEPTION (IMP_LIMIT)
| TAO_SYSTEM_EXCEPTION (COMM_FAILURE)
| TAO_SYSTEM_EXCEPTION (OBJECT_NOT_EXIST)
| TAO_SYSTEM_EXCEPTION (MARSHAL)
| TAO_SYSTEM_EXCEPTION (PERSIST_STORE)
| TAO_SYSTEM_EXCEPTION (TRANSIENT)
| TAO_SYSTEM_EXCEPTION (FREE_MEM)
| TAO_SYSTEM_EXCEPTION (DATA_CONVERSION)
| TAO_SYSTEM_EXCEPTION (REBIND)
| TAO_SYSTEM_EXCEPTION (ACTIVITY_COMPLETED)

## Detailed Description

Exception.h,v 1.85 2002/08/24 01:58:57 ossama Exp

This file defines way in which CORBA exceptions are reported.

Author:
  Copyright 1994-1995 by Sun Microsystems Inc.

## Define Documentation

#define TAO_RAISE | ( | EXCEPTION |  | ) | throw EXCEPTION

#define TAO_SYSTEM_EXCEPTION | ( | name |  | ) |

| Value:
    class TAO_Export CORBA_ ## name : public CORBA_SystemException { \
    public: \
      CORBA_ ## name (void); \
      CORBA_ ## name (CORBA::ULong code, \
                      CORBA::CompletionStatus completed) \
        : CORBA_SystemException ("IDL:omg.org/CORBA/" #name ":1.0", \
                                 #name, \
                                 code, \
                                 completed) \
        { } \
      static CORBA_##name * _downcast (CORBA_Exception* exception); \
      virtual int _is_a (const char* type_id) const; \
      virtual void _raise (void); \
      virtual CORBA::TypeCode_ptr _type (void) const; \
      static void _tao_any_destructor (void*); \
      virtual CORBA_Exception *_tao_duplicate (void) const; \
    }; \
    TAO_Export void operator<<= (CORBA::Any &, const CORBA_##name &); \
    TAO_Export void operator<<= (CORBA::Any &, CORBA_##name *); \
    TAO_Export CORBA::Boolean operator>>= (const CORBA::Any &, \
                                           const CORBA_##name *&)

## Function Documentation

TAO_Export ostream& operator<< | ( | ostream & | os,
|  | const CORBA_Exception & | e
| ) |

TAO_SYSTEM_EXCEPTION | ( | ACTIVITY_COMPLETED |  | ) |

TAO_SYSTEM_EXCEPTION | ( | REBIND |  | ) |

TAO_SYSTEM_EXCEPTION | ( | DATA_CONVERSION |  | ) |

TAO_SYSTEM_EXCEPTION | ( | FREE_MEM |  | ) |

TAO_SYSTEM_EXCEPTION | ( | TRANSIENT |  | ) |

TAO_SYSTEM_EXCEPTION | ( | PERSIST_STORE |  | ) |

TAO_SYSTEM_EXCEPTION | ( | MARSHAL |  | ) |

TAO_SYSTEM_EXCEPTION | ( | OBJECT_NOT_EXIST |  | ) |

TAO_SYSTEM_EXCEPTION | ( | COMM_FAILURE |  | ) |

TAO_SYSTEM_EXCEPTION | ( | IMP_LIMIT |  | ) |

TAO_SYSTEM_EXCEPTION | ( | NO_MEMORY |  | ) |

TAO_SYSTEM_EXCEPTION | ( | BAD_PARAM |  | ) |

TAO_SYSTEM_EXCEPTION | ( | UNKNOWN |  | ) |